%global momorel 1
%global md5_src0 54334e3d7af70846eb4916191e46081c
Name:		bluez-gnome
Version:	0.6
Release: %{momorel}m%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPL
URL:		http://www.bluez.org/
%NoSource 0	http://bluez.sf.net/download/%{name}-%{version}.tar.gz %{md5_src0}
Patch0:		bluez-gnome-0.6-tab-size.patch
Patch1:		bluez-gnome-0.6-multiple-adaptors.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

ExcludeArch:	s390 s390x

BuildRequires:	dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires:	dbus-glib-devel perl-XML-Parser
#BuildRequires:	openobex-devel
Obsoletes:	bluez-pin

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%prep
%setup -q
%patch0 -p0 -b .tab
%patch1 -p0 -b .multi-adaptor

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_datadir}/applications/bluetooth-properties.desktop
%doc README COPYING AUTHORS ChangeLog

%changelog
* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-1m)
- import from FC
- comment out BuildRequires: openobex-devel

* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
